// EEPROM backup tool 64k and 4k so far
// Thanks to Brian for the "non girlie" work
// Thanks to SATA for fixing the EEPROM code!


#include <nds.h>
#include "console.h"

int FlashApp(void);


//static char fourk_ID[6][12]= { 0 }; //cache 6*4k in-sram game ids here
//static char sixfourk_ID[6][12]= { 0 };//cache 6*64k in-sram game ids here

int main(void)
{
    POWER_CR = POWER_ALL_2D ; // required for G6 to not need button pressed on boot

    videoSetMode(MODE_FB1); //sets unused display to a black background mode
    videoSetModeSub(MODE_0_2D | DISPLAY_BG0_ACTIVE);
    vramSetBankC(VRAM_C_SUB_BG);
    SUB_BG0_CR = BG_MAP_BASE(31);
    BG_PALETTE_SUB[255] = RGB15(31,31,31);
    consoleInitDefault((u16*)SCREEN_BASE_BLOCK_SUB(31), (u16*)CHAR_BASE_BLOCK_SUB(0), 16);
    //lcdSwap();  //power CR for G6 makes this not needed

    WAIT_CR &= ~0x0880;
    int ret =1;
    while (ret)
    {
        consoleClear();
        ret = FlashApp();
    }
    while (1)
    {
    }
    return 0;
}

